.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-name \- Redonne aux paquets Debian leur nom complet
.
.SH SYNOPSIS
\fBdpkg\-name\fP [\fIoption\fP...] [\fB\-\-\fP] \fIfichier\fP...
.
.SH DESCRIPTION
.PP
Cette page de manuel documente le programme \fBdpkg\-name\fP qui fournit une
façon simple de redonner aux paquets \fBDebian\fP leur nom complet. Ce nom
consiste en une chaîne
\fIpaquet\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.\fP\fItype\-de\-paquet\fP telle
qu'elle est indiquée dans le fichier «\ control\ » du paquet. La partie
\fIversion\fP du nom est composée d'informations sur la version originelle qui
peuvent ou non être suivies d'un trait d'union et d'informations sur la
révision. La partie \fItype\-de\-paquet\fP provient de ce champ s'il existe. La
valeur par défaut est \fBdeb\fP.
.
.SH OPTIONS
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
Le nom du fichier n'aura pas l'information sur l'architecture.
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Fait un lien symbolique plutôt qu'une transposition.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Remplace des fichiers existants s'ils ont le même nom que le fichier de
destination.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIrep\fP]
Met les fichiers dans un sous\-répertoire. Si le répertoire donné en
paramètre existe, les fichiers sont déplacés dans ce répertoire\ ; sinon le
répertoire cible, extrait du champ «\ section\ » que contient la partie
contrôle du paquet, sera
«\ unstable/binary\-\fIarchitecture\fP/\fIsection\fP\ ». Quand aucune information sur
la section n'est trouvée dans le fichier «\ control\ », la section est
supposée être \fBno\-section\fP. Dans ce cas, ainsi que si la section est
\fBnon\-free\fP ou \fBcontrib\fP, le répertoire cible est
«\ \fIsection\fP/binary\-\fIarchitecture\fP\ ». Le champ «\ section\ » est facultatif\ ;
aussi beaucoup de paquets sont dans la zone «\ no\-section\ ». Utilisez cette
option avec précaution\ : elle est compliquée.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
On peut utiliser cette option avec l'option \fB\-s\fP. Quand un répertoire cible
n'est pas trouvé, il est créé automatiquement. \fBUtilisez cette option avec
soin.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH ENVIRONNEMENT
.TP 
\fBDPKG_COLORS\fP
Définit le mode de couleur (depuis dpkg\ 1.18.5). Les valeurs actuellement
acceptées sont \fBauto\fP (par défaut), \fBalways\fP et \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
Si cette variable est définie, elle sera utilisée pour décider l'activation
de la prise en charge des langues (NLS –\ Native Language Support), connu
aussi comme la gestion de l'internationalisation (ou i18n) (depuis
dpkg\ 1.19.0). Les valeurs permises sont\ : \fB0\fP et \fB1\fP (par défaut).
.
.SH BOGUES
Certains paquets ne respectent pas l'organisation
\fIpaquet\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.deb\fP. Les paquets traités par
\fBdpkg\-name\fP la respectent. Cela n'a pas de conséquence sur la façon dont
\fBdselect\fP(1) ou \fBdpkg\fP(1) installent les paquets, mais il se peut que
d'autres systèmes d'installation aient besoin de cette organisation.
.
.SH EXEMPLES
.TP 
\fBdpkg\-name bar\-foo.deb\fP
Le nom du fichier \fIbar\-foo.deb\fP devient \fIbar\-foo_1.0\-2_i386.deb\fP ou
quelque chose de similaire suivant les renseignements que contient la partie
de contrôle de \fIbar\-foo.deb\fP.
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
Cette commande \fBdpkg\-name\fP redonne leur nom complet à tous les fichiers qui
se trouvent dans le répertoire /root/debian et ses sous\-répertoires et qui
possèdent une extension \fBdeb\fP, mais supprime l'information sur
l'architecture.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBNe faites pas ça\ !\fP L'archive sera complètement gâchée par des paquets qui
ne possèdent pas d'informations sur la section. \fBNe faites pas ça\ !\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
On peut se servir de cette commande lors de la construction d'un nouveau
paquet.
.
.SH "VOIR AUSSI"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
